You are not logged in.

#1 2021-06-20 21:04:13

Andiii
Member
Registered: 2021-06-20
Posts: 6

[SOLVED] Package is marginal trust

Hi guys,

I know this issue has been discussed already previously but I tried what has been recommended and still I didn't manage to get things fixed.

One day, while trying to update the system (Syu), got this message for several packages:

error: <package>: signature from "Someone <mail.of.someone>" is marginal trust
:: File /var/cache/pacman/pkg/<package_name_version>_x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 

I tried with

pacman -Sy archlinux-keyring
pacman-key --populate archlinux
pacman-key --refresh-keys
pacman -Syu

but it didn't fix it. At no avail I also tried to remove manually and with Scc all pacakges from the cache.

One side note: I have used the [testing], [community-testing] and [multilib-testing] for a while, not sure if those are affecting or not.

Last edited by Andiii (2021-06-21 15:21:40)

Offline

#2 2021-06-20 21:30:50

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

Please post the actual and complete pacman output.

Offline

#3 2021-06-21 05:39:43

Andiii
Member
Registered: 2021-06-20
Posts: 6

Re: [SOLVED] Package is marginal trust

It's a bit long as the issue has presented from quite some times. Anyway, this is the full output from "pacman -Syu":

:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
:: Starting full system upgrade...
warning: gnupg: local (2.3.1-1) is newer than core (2.2.28-2)
warning: libxml2: local (2.9.12-1) is newer than extra (2.9.10-9)
resolving dependencies...
looking for conflicting packages...

Packages (253) accounts-qml-module-0.7-4  alsa-lib-1.2.5.1-3  alsa-plugins-1:1.2.5-2  alsa-tools-1.2.5-1  alsa-topology-conf-1.2.5.1-1  alsa-ucm-conf-1.2.5.1-1  alsa-utils-1.2.5.1-1  aom-3.1.1-1
               at-spi2-core-2.40.2-1  atkmm-2.28.2-2  attica-5.83.0-1  audit-3.0.2-1  bind-9.16.18-1  bluez-5.59-2  bluez-libs-5.59-2  bluez-utils-5.59-2  boost-libs-1.76.0-1  breeze-icons-5.83.0-1
               ca-certificates-20210603-1  ca-certificates-mozilla-3.67-1  ca-certificates-utils-20210603-1  cairomm-1.14.3-2  chromium-91.0.4472.114-1  colord-1.4.5-4  cryptsetup-2.3.6-1  cups-filters-1.28.9-1
               curl-7.77.0-1  darktable-2:3.4.1-5  dialog-1:1.3_20210530-1  djview-4.12-2  elfutils-0.185-1  enchant-2.2.15-4  evince-40.2-1  exiv2-0.27.4-2  expat-2.4.1-1  faudio-21.06-1  ffmpeg-2:4.4-4
               file-5.40-5  filesystem-2021.05.31-1  firefox-89.0.1-1  fuse-common-3.10.4-1  fuse3-3.10.4-1  gcr-3.40.0-1  gd-2.3.2-3  git-2.32.0-1  glib2-2.68.3-1  glibmm-2.66.1-2  gnome-desktop-1:40.2-1
               gnutls-3.7.2-2  gptfdisk-1.0.8-1  graphicsmagick-1.3.36-3  graphviz-2.47.2-1  grub-2:2.06-1  gtk-update-icon-cache-1:4.2.1-2  gtk3-1:3.24.29-2  gtkmm3-3.24.5-2  guitarix-0.42.1-2  gvfs-1.48.1-1
               hwids-20210613-1  imagemagick-7.1.0.0-1  imath-3.0.4-2  intel-gmmlib-21.1.3-1  intel-media-driver-21.2.1-1  intel-media-sdk-21.1.3-2  jasper-2.0.32-1  jre-openjdk-headless-16.0.1.u9-1
               js78-78.11.0-1  kaccounts-integration-21.04.2-1  karchive-5.83.0-1  kauth-5.83.0-1  kbookmarks-5.83.0-1  kcmutils-5.83.0-1  kcodecs-5.83.0-1  kcompletion-5.83.0-1  kconfig-5.83.0-1
               kconfigwidgets-5.83.0-1  kcoreaddons-5.83.0-1  kcrash-5.83.0-1  kdbusaddons-5.83.0-1  kdeclarative-5.83.0-1  kded-5.83.0-1  kdenlive-21.04.2-2  keepass-2.48.1-1  kfilemetadata-5.83.0-1
               kglobalaccel-5.83.0-1  kguiaddons-5.83.0-1  ki18n-5.83.0-1  kiconthemes-5.83.0-1  kio-5.83.0-1  kirigami2-5.83.0-1  kitemviews-5.83.0-1  kjobwidgets-5.83.0-1  kmod-29-1  knewstuff-5.83.0-1
               knotifications-5.83.0-1  knotifyconfig-5.83.0-1  kpackage-5.83.0-1  kservice-5.83.0-1  ktextwidgets-5.83.0-1  kwallet-5.83.0-1  kwidgetsaddons-5.83.0-1  kwindowsystem-5.83.0-1  kxmlgui-5.83.0-1
               lib32-alsa-lib-1.2.5.1-1  lib32-alsa-plugins-1.2.5-1  lib32-curl-7.77.0-1  lib32-expat-2.4.1-1  lib32-faudio-21.06-1  lib32-glib2-2.68.3-1  lib32-libcap-2.50-1  lib32-libelf-0.185-1
               lib32-libpcap-1.10.1-1  lib32-libtasn1-4.17.0-1  lib32-libtirpc-1.3.2-1  lib32-libx11-1.7.2-1  lib32-libxcrypt-4.4.22-2  lib32-llvm-libs-12.0.0-2  lib32-mesa-21.1.2-1  lib32-nspr-4.31-1
               lib32-nss-3.67-1  lib32-p11-kit-0.24.0-1  lib32-util-linux-2.37-1  lib32-vulkan-intel-21.1.2-1  libaccounts-glib-1.25-4  libaccounts-qt-1.16-3  libavif-0.9.1-1  libcaca-0.99.beta19-5
               libcanberra-0.30+2+gc0620e4-4  libcap-2.50-2  libcmis-0.5.2-8  libcolord-1.4.5-4  libedit-20210522_3.1-1  libelf-0.185-1  libepoxy-1.5.8-1  libetonyek-0.1.10-1  libgusb-0.3.7-1  libinput-1.18.0-1
               libixion-0.16.1-6  libldap-2.4.58-3  liblouis-3.18.0-1  libmfx-21.1.3-2  libnftnl-1.2.0-1  libnl-3.5.0-3  libogg-1.3.5-1  liborcus-0.16.1-7  libp11-kit-0.24.0-1  libpcap-1.10.1-1
               libproxy-0.4.17-2  libreoffice-fresh-7.1.4-1  librsvg-2:2.50.7-1  libsigc++-2.10.7-2  libtorrent-rasterbar-1:1.2.14-1  libwpd-0.10.3-3  libwpe-1.10.1-1  libx11-1.7.2-1  libxcrypt-4.4.22-4
               libxml++-3.2.3-1  linux-5.12.11.arch1-1  llvm-libs-12.0.0-2  lz4-1:1.9.3-2  m4-1.4.19-1  mesa-21.1.2-1  mono-6.12.0.122-1  mpg123-1.28.0-1  netpbm-10.73.34-1  nettle-3.7.3-1  nfs-utils-2.5.4-1
               nfsidmap-2.5.4-1  nspr-4.31-1  nss-3.67-1  nuspell-5.0.0-1  openexr-3.0.4-1  openmp-12.0.0-1  openmpi-4.1.1-2  p11-kit-0.24.0-1  pambase-20210605-2  pangomm-2.46.1-2  pcre2-10.37-1  pdftk-3.2.3-1
               perl-5.34.0-1  perl-authen-sasl-2.16-9  perl-clone-0.45-3  perl-convert-binhex-1.125-8  perl-encode-locale-1.05-8  perl-error-0.17029-3  perl-file-listing-6.14-2  perl-html-parser-3.76-2
               perl-html-tagset-3.20-11  perl-http-cookies-6.10-2  perl-http-daemon-6.06-3  perl-http-date-6.05-4  perl-http-message-6.32-2  perl-http-negotiate-6.01-9  perl-io-html-1.004-2
               perl-io-socket-ssl-2.071-1  perl-libwww-6.55-1  perl-lwp-mediatypes-6.02-9  perl-mailtools-2.21-5  perl-mime-tools-5.509-9  perl-net-http-6.21-2  perl-net-ssleay-1.90-2  perl-timedate-2.33-3
               perl-try-tiny-0.30-6  perl-uri-5.09-2  perl-www-robotrules-6.02-9  perl-xml-parser-2.46-3  polkit-0.119-1  poppler-21.06.1-1  poppler-glib-21.06.1-1  poppler-qt5-21.06.1-1  purpose-5.83.0-1
               python-3.9.5-3  python-docutils-0.17-1  python-idna-3.2-1  python-more-itertools-8.7.0-1  python-setuptools-1:57.0.0-2  python-sphinx-4.0.2-1  python-sphinxcontrib-htmlhelp-2.0.0-1
               python-sphinxcontrib-serializinghtml-1.1.5-1  python-urllib3-1.26.5-1  qbittorrent-4.3.5-1  qt5-base-5.15.2+kde+r196-1  qt5-declarative-5.15.2+kde+r28-1  qt5-wayland-5.15.2+kde+r28-1
               qt5-webengine-5.15.5-1  qt6-base-6.1.1-1  re2-1:20210601-1  realtime-privileges-3-1  recode-3.7.9-1  signon-kwallet-extension-21.04.2-1  smbclient-4.14.5-1  solid-5.83.0-1  sonnet-5.83.0-1
               source-highlight-3.1.9-5  sqlite-3.35.5-2  sshfs-3.7.2-1  sudo-1.9.7.p1-1  suitesparse-5.10.1-1  supertux-0.6.2-4  syndication-5.83.0-1  unrar-1:6.0.7-1  upower-0.99.12-1  util-linux-2.37-3
               util-linux-libs-2.37-3  vim-8.2.2891-1  vim-runtime-8.2.2891-1  vulkan-icd-loader-1.2.178-1  vulkan-intel-21.1.2-1  wine-6.11-1  wpebackend-fdo-1.10.0-1  xfsprogs-5.12.0-1
               xkeyboard-config-2.33-1  xterm-368-1

Total Download Size:     14.91 MiB
Total Installed Size:  4075.85 MiB
Net Upgrade Size:        38.82 MiB

:: Proceed with installation? [Y/n] 
:: Retrieving packages...
 filesystem-2021.05.31-1-x86_64                                                                     30.0 KiB   158 KiB/s 00:00 [#############################################################################] 100%
 lz4-1:1.9.3-2-x86_64                                                                              120.2 KiB   516 KiB/s 00:00 [#############################################################################] 100%
 hwids-20210613-1-any                                                                              463.8 KiB  1957 KiB/s 00:00 [#############################################################################] 100%
 libnftnl-1.2.0-1-x86_64                                                                            69.5 KiB   416 KiB/s 00:00 [#############################################################################] 100%
 bind-9.16.18-1-x86_64                                                                            2004.3 KiB  6.75 MiB/s 00:00 [#############################################################################] 100%
 ffmpeg-2:4.4-4-x86_64                                                                              10.4 MiB  17.4 MiB/s 00:01 [#############################################################################] 100%
 libgusb-0.3.7-1-x86_64                                                                             65.1 KiB   415 KiB/s 00:00 [#############################################################################] 100%
 djview-4.12-2-x86_64                                                                              552.4 KiB   642 KiB/s 00:01 [#############################################################################] 100%
 fuse-common-3.10.4-1-x86_64                                                                         2.7 KiB  17.3 KiB/s 00:00 [#############################################################################] 100%
 fuse3-3.10.4-1-x86_64                                                                             119.7 KiB   578 KiB/s 00:00 [#############################################################################] 100%
 xfsprogs-5.12.0-1-x86_64                                                                         1065.6 KiB  4.11 MiB/s 00:00 [#############################################################################] 100%
 lib32-libtirpc-1.3.2-1-x86_64                                                                      81.4 KiB   557 KiB/s 00:00 [#############################################################################] 100%
 python-more-itertools-8.7.0-1-any                                                                  61.8 KiB   372 KiB/s 00:00 [#############################################################################] 100%
 Total (13/13)                                                                                      14.9 MiB  3.52 MiB/s 00:04 [#############################################################################] 100%
(253/253) checking keys in keyring                                                                                             [#############################################################################] 100%
(253/253) checking package integrity                                                                                           [#############################################################################] 100%
error: filesystem: signature from "Sébastien Luttringer <seblu@seblu.net>" is marginal trust
:: File /var/cache/pacman/pkg/filesystem-2021.05.31-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: lz4: signature from "Sébastien Luttringer <seblu@seblu.net>" is marginal trust
:: File /var/cache/pacman/pkg/lz4-1:1.9.3-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: hwids: signature from "Tobias Powalowski <tobias.powalowski@googlemail.com>" is marginal trust
:: File /var/cache/pacman/pkg/hwids-20210613-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libnftnl: signature from "Sébastien Luttringer <seblu@seblu.net>" is marginal trust
:: File /var/cache/pacman/pkg/libnftnl-1.2.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: bind: signature from "Sébastien Luttringer <seblu@seblu.net>" is marginal trust
:: File /var/cache/pacman/pkg/bind-9.16.18-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: ffmpeg: signature from "Maxime Gauduin <alucryd@alucryd.xyz>" is marginal trust
:: File /var/cache/pacman/pkg/ffmpeg-2:4.4-4-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: libgusb: signature from "Maxime Gauduin <alucryd@alucryd.xyz>" is marginal trust
:: File /var/cache/pacman/pkg/libgusb-0.3.7-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: djview: signature from "Balló György <ballogyor@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/djview-4.12-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: fuse-common: signature from "Anatol Pomozov <anatol.pomozov@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/fuse-common-3.10.4-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: fuse3: signature from "Anatol Pomozov <anatol.pomozov@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/fuse3-3.10.4-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: xfsprogs: signature from "Tobias Powalowski <tobias.powalowski@googlemail.com>" is marginal trust
:: File /var/cache/pacman/pkg/xfsprogs-5.12.0-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: lib32-libtirpc: signature from "Maxime Gauduin <alucryd@alucryd.xyz>" is marginal trust
:: File /var/cache/pacman/pkg/lib32-libtirpc-1.3.2-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: python-more-itertools: signature from "Kyle Keen <keenerd@gmail.com>" is marginal trust
:: File /var/cache/pacman/pkg/python-more-itertools-8.7.0-1-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Thank you.

Offline

#4 2021-06-21 06:04:00

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

warning: gnupg: local (2.3.1-1) is newer than core (2.2.28-2)
warning: libxml2: local (2.9.12-1) is newer than extra (2.9.10-9)

I have used the [testing], [community-testing] and [multilib-testing] for a while

https://wiki.archlinux.org/title/Offici … positories

One of the rare occasions where you'll not being shit on for passing more than one "u" (or "y") to pacman ;-)

Offline

#5 2021-06-21 07:31:02

Andiii
Member
Registered: 2021-06-20
Posts: 6

Re: [SOLVED] Package is marginal trust

Thanks for the answer...

seth wrote:

warning: gnupg: local (2.3.1-1) is newer than core (2.2.28-2)
warning: libxml2: local (2.9.12-1) is newer than extra (2.9.10-9)

I have used the [testing], [community-testing] and [multilib-testing] for a while

https://wiki.archlinux.org/title/Offici … positories

One of the rare occasions where you'll not being shit on for passing more than one "u" (or "y") to pacman ;-)

but this still doesn't make it and I get the same output.

Offline

#6 2021-06-21 07:37:22

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

pacman-key -l seblu@seblu.net

Edit:
https://bbs.archlinux.org/viewtopic.php?id=266232
"Downgrade" gnupg first.

Last edited by seth (2021-06-21 07:41:09)

Offline

#7 2021-06-21 09:02:10

Andiii
Member
Registered: 2021-06-20
Posts: 6

Re: [SOLVED] Package is marginal trust

seth wrote:
pacman-key -l seblu@seblu.net

Edit:
https://bbs.archlinux.org/viewtopic.php?id=266232
"Downgrade" gnupg first.

pacman-key -l seblu@seblu.net

gives

pub   rsa4096 2011-11-11 [SC]
      B81B051F2D7FC867AAFF35A58DBD63B82072D77A
uid           [marginal] Sébastien Luttringer <seblu@seblu.net>
sub   rsa4096 2013-03-30 [E]
sub   rsa4096 2013-03-30 [S]
sub   rsa4064 2012-12-12 [S]
sub   rsa4096 2011-11-11 [E]
sub   rsa4032 2014-03-30 [S]
sub   rsa4032 2014-03-30 [E]
sub   rsa4032 2017-07-07 [E]
sub   rsa4032 2017-07-07 [S]
sub   ed25519 2019-10-10 [S]
sub   cv25519 2019-10-10 [E]

Is there any way to backport the keys first? I'm trying to roll back to the stable but it doesn't do it because of the "marginal trust" issue.

In any case, I deleted the key with

pacman-key -d seblu@seblu.net

and still god the same input with just something new (I'm going to paste only the new part):

[...]

(258/258) checking keys in keyring                                                                                             [#############################################################################] 100%
downloading required keys...
:: Import PGP key 4A1AFC345EBE18F8, "Sébastien Luttringer <seblu@seblu.net>"? [Y/n] 
(258/258) checking package integrity                                                                                           [#############################################################################] 100%
error: filesystem: signature from "Sébastien Luttringer <seblu@seblu.net>" is marginal trust
:: File /var/cache/pacman/pkg/filesystem-2021.05.31-1-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 

[...]

error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Just to be clear the testing repos in my pacman.conf are commented out.

Thanks again,
Andi

Last edited by Andiii (2021-06-21 09:02:27)

Offline

#8 2021-06-21 09:10:55

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

This seems to have been a bug in the gnupg package you got from testing (and that got pulled)
So leyve the key alone and install the 2.2.28 gnupg before anything else.

Offline

#9 2021-06-21 15:10:17

Andiii
Member
Registered: 2021-06-20
Posts: 6

Re: [SOLVED] Package is marginal trust

seth wrote:

This seems to have been a bug in the gnupg package you got from testing (and that got pulled)
So leyve the key alone and install the 2.2.28 gnupg before anything else.

Cool... downgrading gnupg first fixed it!

Just as a recap, I first re-installed gnupg:

pacman -S gnupg

and made sure it was 2.2.28:

gpg -h

gpg (GnuPG) 2.2.28

then started over with generating all the keys:

pacman -Sy archlinux-keyring
pacman-key --populate archlinux
pacman-key --refresh-keys
pacman -Syu

I'm not sure it was necessary but I cleaned the pacman cache:

pacman -Scc

And at the end rolled back to the stable repositories:

pacman -Syuu

Thanks for your help.

Offline

#10 2021-06-21 15:23:26

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

Please always remember to mark resolved threads by editing your initial posts subject - so others will know that there's no task left, but maybe a solution to find.
Thanks.

Offline

#11 2022-02-07 11:44:55

sergey@panarek.ru
Member
Registered: 2022-02-07
Posts: 1

Re: [SOLVED] Package is marginal trust

Solution for me:
pacman -Sy archlinux-keyring && pacman -Su

"Signature is unknown trust" fixed also....

Offline

#12 2022-02-11 07:37:11

cdwijs
Member
Registered: 2010-04-24
Posts: 256

Re: [SOLVED] Package is marginal trust

sergey@panarek.ru wrote:

Solution for me:
pacman -Sy archlinux-keyring && pacman -Su

"Signature is unknown trust" fixed also....

Thank you, that also fixes it for me. Here's my console output, so people find it while searching the error:
Error

# pacman -Suy
:: Synchronizing package databases...
 core                  136.4 KiB   892 KiB/s 00:00 [######################] 100%
 extra                1553.0 KiB  4.54 MiB/s 00:00 [######################] 100%
 community               6.0 MiB  3.35 MiB/s 00:02 [######################] 100%
 multilib              148.8 KiB  4.04 MiB/s 00:00 [######################] 100%
:: Starting full system upgrade...
:: Replace hwids with core/hwdata? [Y/n] 
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: phonon-qt5-gstreamer will be installed before its phonon-qt5 dependency
warning: dependency cycle detected:
warning: ruby-reline will be installed before its ruby-irb dependency

Packages (546) acl-2.3.1-2  alsa-card-profiles-1:0.3.45-1  amdvlk-2022.Q1.2-1
<snip>
 haskell-data-def...     7.0 KiB   699 KiB/s 00:00 [######################] 100%
 systemd-sysvcomp...     5.7 KiB   569 KiB/s 00:00 [######################] 100%
 Total (218/218)       903.4 MiB  3.18 MiB/s 04:44 [######################] 100%
(545/545) checking keys in keyring                 [######################] 100%
(545/545) checking package integrity               [######################] 100%
error: mujs: signature from "Daniel Bermond <dbermond@archlinux.org>" is marginal trust
:: File /var/cache/pacman/pkg/mujs-1.2.0-2-x86_64.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: wine-mono: signature from "Daniel Bermond <dbermond@archlinux.org>" is marginal trust
:: File /var/cache/pacman/pkg/wine-mono-7.0.0-2-any.pkg.tar.zst is corrupted (invalid or corrupted package (PGP signature)).
Do you want to delete it? [Y/n] 
error: failed to commit transaction (invalid or corrupted package)
Errors occurred, no packages were upgraded.

Your solution:

# pacman -Sy archlinux-keyring && pacman -Su
:: Synchronizing package databases...
 core is up to date
 extra is up to date
 community is up to date
 multilib is up to date
resolving dependencies...
looking for conflicting packages...

Packages (1) archlinux-keyring-20220125-1

Total Installed Size:  1.43 MiB
Net Upgrade Size:      0.08 MiB

:: Proceed with installation? [Y/n] 
(1/1) checking keys in keyring                     [######################] 100%
(1/1) checking package integrity                   [######################] 100%
(1/1) loading package files                        [######################] 100%
(1/1) checking for file conflicts                  [######################] 100%
(1/1) checking available disk space                [######################] 100%
:: Processing package changes...
(1/1) upgrading archlinux-keyring                  [######################] 100%
==> Appending keys from archlinux.gpg...
==> Disabling revoked keys in keyring...
  -> Disabled 5 keys.
==> Updating trust database...
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
gpg: key 786C63F330D7CB92: no user ID for key signature packet of class 10
<snip>
gpg: key 1EB2638FF56C0C53: no user ID for key signature packet of class 10
gpg: marginals needed: 3  completes needed: 1  trust model: pgp
gpg: depth: 0  valid:   1  signed:   5  trust: 0-, 0q, 0n, 0m, 0f, 1u
gpg: depth: 1  valid:   5  signed:  94  trust: 0-, 0q, 0n, 5m, 0f, 0u
gpg: depth: 2  valid:  87  signed:  33  trust: 87-, 0q, 0n, 0m, 0f, 0u
gpg: next trustdb check due at 2022-05-06
==> Updating trust database...
gpg: next trustdb check due at 2022-05-06
:: Running post-transaction hooks...
(1/1) Arming ConditionNeedsUpdate...
:: Starting full system upgrade...
:: Replace hwids with core/hwdata? [Y/n] 
resolving dependencies...
looking for conflicting packages...
warning: dependency cycle detected:
warning: phonon-qt5-gstreamer will be installed before its phonon-qt5 dependency
warning: dependency cycle detected:
warning: ruby-reline will be installed before its ruby-irb dependency

Packages (545) acl-2.3.1-2  alsa-card-profiles-1:0.3.45-1  
<snip>
:: Retrieving packages...
 wine-mono-7.0.0-2-any                                                         45.5 MiB  3.29 MiB/s 00:14 [###############################################################] 100%
 mujs-1.2.0-2-x86_64                                                          214.5 KiB  3.68 MiB/s 00:00 [###############################################################] 100%
 Total (2/2)                                                                   45.7 MiB  3.28 MiB/s 00:14 [###############################################################] 100%
(544/544) checking keys in keyring                                                                        [###############################################################] 100%
(544/544) checking package integrity                                                                      [###############################################################] 100%
(544/544) loading package files                                                                           [###############################################################] 100%
(544/544) checking for file conflicts                                                                     [###############################################################] 100%
(545/545) checking available disk space                                                                   [###############################################################] 100%
:: Running pre-transaction hooks...
(1/2) Removing linux initcpios...
(2/2) Unregistering Haskell modules...
:: Processing package changes...
(1/1) removing hwids                                                                                      [###############################################################] 100%
(  1/544) upgrading iana-etc                                                                              [###############################################################] 100%
(  2/544) upgrading attr
<snip>
(542/544) upgrading xorg-server-xvfb                                                                      [###############################################################] 100%
(543/544) upgrading xterm                                                                                 [###############################################################] 100%
(544/544) upgrading yt-dlp                                                                                [###############################################################] 100%
New optional dependencies for yt-dlp
    python-mutagen: For embedding thumbnail in certain formats [installed]
    python-pycryptodomex: For decrypting AES-128 HLS streams and various other data [installed]
    python-websockets: For downloading over websocket [installed]
:: Running post-transaction hooks...
( 1/25) Creating system user accounts...
( 2/25) Registering binary formats...
<snip>
(23/25) Updating the desktop file MIME type cache...
(24/25) Updating the vlc plugin cache...
(25/25) Updating X fontdir indices...
[root@cedric cedric]# 

Offline

#13 2022-02-24 22:47:42

AdoggeWokePupper
Member
Registered: 2022-02-24
Posts: 1

Re: [SOLVED] Package is marginal trust

sergey@panarek.ru wrote:

Solution for me:
pacman -Sy archlinux-keyring && pacman -Su

"Signature is unknown trust" fixed also....

Yup, opened up a new account here (hello world!) to confirm that this input is a livesaver!

Offline

#14 2022-02-28 17:38:11

Itzak
Member
Registered: 2021-02-03
Posts: 17

Re: [SOLVED] Package is marginal trust

sergey@panarek.ru wrote:

Solution for me:
pacman -Sy archlinux-keyring && pacman -Su

"Signature is unknown trust" fixed also....

Also worked for me, thank you!!

Offline

#15 2022-02-28 17:45:07

seth
Member
Registered: 2012-09-03
Posts: 30,861

Re: [SOLVED] Package is marginal trust

Everything from post #11 onward is completely unrelated to the original thread which *explicitly* states:

I tried with

pacman -Sy archlinux-keyring
pacman-key --populate archlinux
pacman-key --refresh-keys
pacman -Syu

but it didn't fix it.

The resto of you either haven't updated in a long time or I believe there was an iso w/ a broken/dated keyring package that might have systematically caused this (could be wrong on this)
In any event, that's a rather common condition which is even mentioned in the wiki: https://wiki.archlinux.org/title/Pacman … _regularly

Offline

#16 2022-02-28 18:41:44

ewaller
Administrator
From: Pasadena, CA
Registered: 2009-07-13
Posts: 18,635

Re: [SOLVED] Package is marginal trust

Closing this solved thread


Nothing is too wonderful to be true, if it be consistent with the laws of nature -- Michael Faraday
Sometimes it is the people no one can imagine anything of who do the things no one can imagine. -- Alan Turing
---
How to Ask Questions the Smart Way

Offline

#17 2022-02-28 18:42:03

WorMzy
Forum Moderator
From: Scotland
Registered: 2010-06-16
Posts: 10,835
Website

Re: [SOLVED] Package is marginal trust


Sakura:-
Mobo: MSI MEG B550 UNIFY // Processor: AMD Ryzen 9 5950X @4.9GHz // GFX: AMD Radeon RX 5700 XT // RAM: 32GB (4x 8GB) Corsair DDR4 (@ 3000MHz) // Storage: 1x 3TB HDD, 6x 1TB SSD, 2x 120GB SSD, 1x 275GB M2 SSD

Making lemonade from lemons since 2015.

Offline

Board footer

Powered by FluxBB